gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-taler-ops-www] branch master updated: CI: deploy staging site if


From: gnunet
Subject: [taler-taler-ops-www] branch master updated: CI: deploy staging site if build successful
Date: Mon, 01 Apr 2024 19:15:21 +0200

This is an automated email from the git hooks/post-receive script.

devan-carpenter pushed a commit to branch master
in repository taler-ops-www.

The following commit(s) were added to refs/heads/master by this push:
     new b3dff85  CI: deploy staging site if build successful
b3dff85 is described below

commit b3dff85197509a566a1bddf16224fec206c37c4a
Author: Devan Carpenter <devan@taler.net>
AuthorDate: Mon Apr 1 13:15:00 2024 -0400

    CI: deploy staging site if build successful
---
 contrib/ci/jobs/0-build/build-docs.sh       |  2 +-
 contrib/ci/jobs/1-deploy-staging/config.ini |  6 ++++++
 contrib/ci/jobs/1-deploy-staging/job.sh     | 17 +++++++++++++++++
 3 files changed, 24 insertions(+), 1 deletion(-)

diff --git a/contrib/ci/jobs/0-build/build-docs.sh 
b/contrib/ci/jobs/0-build/build-docs.sh
index 99c48b0..138ebbf 100755
--- a/contrib/ci/jobs/0-build/build-docs.sh
+++ b/contrib/ci/jobs/0-build/build-docs.sh
@@ -3,5 +3,5 @@
 set -exou
 
 ./bootstrap
-./configure
+./configure --prefix=/artifacts/taler-ops-www/${CI_COMMIT_REF} # Variable 
comes from CI environment
 make install
diff --git a/contrib/ci/jobs/1-deploy-staging/config.ini 
b/contrib/ci/jobs/1-deploy-staging/config.ini
new file mode 100644
index 0000000..7905146
--- /dev/null
+++ b/contrib/ci/jobs/1-deploy-staging/config.ini
@@ -0,0 +1,6 @@
+[build]
+HALT_ON_FAILURE = True
+WARN_ON_FAILURE = True
+CONTAINER_BUILD = False
+CONTAINER_NAME = docker.io/library/debian:bookworm
+CONTAINER_ARCH = amd64
diff --git a/contrib/ci/jobs/1-deploy-staging/job.sh 
b/contrib/ci/jobs/1-deploy-staging/job.sh
new file mode 100755
index 0000000..ad11404
--- /dev/null
+++ b/contrib/ci/jobs/1-deploy-staging/job.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -exuo pipefail
+
+ARTIFACT_PATH="/artifacts/taler-ops-www/${CI_COMMIT_REF}/*"
+
+SCP_HOST="talerops@anastasis.lu"
+SCP_PATH="tops-stage/stage-talerops-public"
+SCP_DEST="${SCP_HOST}:${SCP_PATH}"
+
+ls $ARTIFACT_PATH
+
+apt-get update -yqq
+apt-get install -yqq --no-install-recommends \
+       ssh-client
+
+scp -rvp \
+      ${ARTIFACT_PATH} ${SCP_DEST}

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]